Skip to content

getSavedViews

READ

Get saved views.

POST /api/v1/shared/getSavedViews
curl -X POST '<your-host>/api/v1/shared/getSavedViews' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json'
Response
{
  "results": [
    {
      "columnOrder": [
        "string"
      ],
      "columnPinning": "…",
      "columnVisibility": "…",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "description": "string",
      "filters": [
        "string"
      ],
      "id": "string",
      "name": "string",
      "sortOrder": 0,
      "sorts": [
        "string"
      ],
      "table": "string",
      "type": "Private",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

This operation takes no arguments.

Input schema

schema
{
  "type": "object",
  "properties": {}
}